> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Precio de Cancelación (Acción de Cambio de Ciclo de Vida) (v2)

GET https://api.megaport.com/v2/product/{productUid}/action/CANCEL_NOW/charges

Devuelve el precio para cambiar el estado de un servicio existente, como cancelarlo.

El `productUid` es un valor requerido que identifica el servicio por su identificador de producto único.

La `action` es un valor requerido que indica el cambio en el servicio. Los valores aceptados son `CANCEL` y `CANCEL_NOW`.

Reference: https://es.megaport.ferndocs.com/es/api-reference/pricing/cancellation-price-lifecyle-action-change-v-2

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `productUid` (string, required)

## Response

### 200

Precio de Cancelación (Cambio de Acción de Ciclo de Vida) / Precio de Cancelación (Cambio de Acción de Ciclo de Vida)

- `data` (V2ProductProductUidActionCancelNowChargesGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2ProductProductUidActionCancelNowChargesGetResponsesContentApplicationJsonSchemaData

- `contractEndDate` (double, optional)
- `currency` (string, optional)
- `ixPriceCheck` (list of any, optional)
- `payOutContract` (double, optional)
- `productId` (double, optional)
- `productName` (string, optional)
- `productType` (string, optional)
- `recurringCharge` (double, optional)
- `remainingDays` (double, optional)
- `terminationDate` (double, optional)
- `total` (double, optional)
- `vxcPriceCheck` (list of V2ProductProductUidActionCancelNowChargesGetResponsesContentApplicationJsonSchemaDataVxcPriceCheckItems, optional)

### V2ProductProductUidActionCancelNowChargesGetResponsesContentApplicationJsonSchemaDataVxcPriceCheckItems

- `contractEndDate` (double, optional)
- `currency` (string, optional)
- `payOutContract` (double, optional)
- `productId` (double, optional)
- `productName` (string, optional)
- `productType` (string, optional)
- `recurringCharge` (double, optional)
- `remainingDays` (double, optional)
- `terminationDate` (double, optional)
- `total` (double, optional)
- `usageAlgorithm` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "contractEndDate": 1600092000000,
    "currency": "AUD",
    "ixPriceCheck": [],
    "payOutContract": 0,
    "productId": 63611,
    "productName": "Neteng SD-WAN SYD PoC Transit DEP-10990",
    "productType": "MEGAPORT",
    "recurringCharge": 500,
    "remainingDays": 0,
    "terminationDate": 1608156258178,
    "total": 0,
    "vxcPriceCheck": [
      {
        "contractEndDate": 1600610400000,
        "currency": "AUD",
        "payOutContract": 0,
        "productId": 64110,
        "productName": "Transit Connection Superloop",
        "productType": "VXC",
        "recurringCharge": 0,
        "remainingDays": 0,
        "terminationDate": 1608156258178,
        "total": 0,
        "usageAlgorithm": "POST_PAID_HOURLY_SPEED_METRO_VXC"
      }
    ]
  },
  "message": "Cargos por cancelación de servicio [778e9d7b-6da4-4398-8560-44b49b0ac1bd]",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/product/productUid/action/CANCEL_NOW/charges")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```